Skip to main content
POST
/
api
/
payments
/
prices
Create Price
curl --request POST \
  --url https://api.example.com/api/payments/prices \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "environment": "test",
  "stripeProductId": "prod_123",
  "currency": "usd",
  "unitAmount": 2900,
  "recurring": {
    "interval": "month",
    "intervalCount": 1
  },
  "lookupKey": "pro_monthly",
  "idempotencyKey": "price-pro-monthly"
}
'
{
  "price": {
    "environment": "test",
    "stripePriceId": "price_123",
    "stripeProductId": "prod_123",
    "active": true,
    "currency": "usd",
    "unitAmount": 2900,
    "unitAmountDecimal": "2900",
    "type": "recurring",
    "lookupKey": "pro_monthly",
    "billingScheme": "per_unit",
    "taxBehavior": "unspecified",
    "recurringInterval": "month",
    "recurringIntervalCount": 1,
    "metadata": {},
    "syncedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.insforge.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
environment
enum<string>
required
Available options:
test,
live
stripeProductId
string
required
Minimum string length: 1
currency
string
required
Required string length: 3
Example:

"usd"

unitAmount
integer
required
Required range: x >= 0
Example:

2900

lookupKey
string | null
Required string length: 1 - 200
active
boolean
recurring
object
taxBehavior
enum<string>
Available options:
exclusive,
inclusive,
unspecified
metadata
object
idempotencyKey
string
Required string length: 1 - 200

Response

Price created

price
object
required